#include <bits/stdc++.h>
using namespace std;
int a[20000], h[20000];

int main() {
    string s;
    int k = 0;
    cin >> s;
    for(int i = 0; i < s.size(); i++){
        if(s[i]=='a'){
            a[i]=1;
        }
        else if(s[i]=='b'){
            a[i]=2;
        }
        else{
            a[i]=3;
        }
        if(a[i]<a[i-1] and i!=0){
            h[k]=i-1;
            k++;
        }
    }
    int n;
    cin >> n;
    for(int i = 0; i<n; i++){
        int l, r;
        cin >> l >> r;
        int m = 1;

        for(int j = 0; j < k; j++){
            if(l-1<=h[j] and h[j]<r-1){
                m++;
            }
        }
        cout << m << endl;
    }
}
